class InvitedFriendsDataModel {
  String isBindTeacher;
  List<InvitedFriendsPosterDataModel> posterList;
  String inviteLink;

  InvitedFriendsDataModel(
      {this.isBindTeacher, this.posterList, this.inviteLink});

  InvitedFriendsDataModel.fromJson(Map<String, dynamic> json) {
    isBindTeacher = json['is_bind_teacher'];
    if (json['poster_list'] != null) {
      posterList = new List<InvitedFriendsPosterDataModel>();
      json['poster_list'].forEach((v) {
        posterList.add(new InvitedFriendsPosterDataModel.fromJson(v));
      });
    }
    inviteLink = json['invite_link'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['is_bind_teacher'] = this.isBindTeacher;
    if (this.posterList != null) {
      data['poster_list'] = this.posterList.map((v) => v.toJson()).toList();
    }
    data['invite_link'] = this.inviteLink;
    return data;
  }
}

class InvitedFriendsPosterDataModel {
  String type;
  String posterImg;
  String avatar;
  String qrCode;
  String inviteCode;
  String whiteOutlineImg;

  InvitedFriendsPosterDataModel(
      {this.type,
      this.posterImg,
      this.avatar,
      this.qrCode,
      this.inviteCode,
      this.whiteOutlineImg});

  InvitedFriendsPosterDataModel.fromJson(Map<String, dynamic> json) {
    type = json['type'];
    posterImg = json['poster_img'];
    avatar = json['avatar'];
    qrCode = json['qr_code'];
    inviteCode = json['invite_code'];
    whiteOutlineImg = json['white_outline_img'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['type'] = this.type;
    data['poster_img'] = this.posterImg;
    data['avatar'] = this.avatar;
    data['qr_code'] = this.qrCode;
    data['invite_code'] = this.inviteCode;
    data['white_outline_img'] = this.whiteOutlineImg;
    return data;
  }
}
